Package com.ocient.metrics

# Class Gauge

java.lang.Object
com.ocient.metrics.Metric<Long>
com.ocient.metrics.Gauge

All Implemented Interfaces:
  `Supplier<Long>`

    public class Gauge
    extends Metric<Long>

## Nested Class Summary

## Nested classes/interfaces inherited from class com.ocient.metrics.Metric

`Metric.CounterType, Metric.DataType, Metric.MetricPath, Metric.NamedTag, Metric.Tag, Metric.Units`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Gauge​(Metric.MetricPath path, LongSupplier supplier, Metric.CounterType counterType, Metric.Units units)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`Metric.CounterType` | `counterType()` |
`Long` | `get()` |

### Methods inherited from class com.ocient.metrics.Metric

`dataType, path, units`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Gauge

public Gauge​(Metric.MetricPath path, LongSupplier supplier, Metric.CounterType counterType, Metric.Units units)

## Method Details

### get

public Long get()

### counterType

public Metric.CounterType counterType()

Specified by:
  `counterType` in class `Metric<Long>`
Returns:
  this perf counter's data `Metric.CounterType`